.btn:hover {
    animation: gradient 2s linear infinite;
}

@keyframes gradient {
    0% {
        background-position: 0% 50%;
    }
    50% {
        background-position: -120% 50%;
    }
    100% {
        background-position: -120% 50%;
    }
}